AnnotatedField (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.introspect

## Class AnnotatedField

- java.lang.Object
- - org.codehaus.jackson.map.introspect.Annotated
  - - org.codehaus.jackson.map.introspect.AnnotatedMember
    - - org.codehaus.jackson.map.introspect.AnnotatedField

-     public final class AnnotatedField
      extends AnnotatedMember

  Object that represents non-static (and usually non-transient/volatile) fields of a class.
  Author:
    tatu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Field` | `_field`

    - ### Fields inherited from class org.codehaus.jackson.map.introspect.AnnotatedMember

      `_annotations`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotatedField(Field field, AnnotationMap annMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOrOverride(Annotation a)` Method called to override an annotation, usually due to a mix-in annotation masking or overriding an annotation 'real' constructor has.
    `Field` | `getAnnotated()` Method that can be used to find actual JDK element that this instance represents.
    `<A extends Annotation> A` | `getAnnotation(Class<A> acls)`
    `int` | `getAnnotationCount()`
    `Class<?>` | `getDeclaringClass()`
    `String` | `getFullName()`
    `Type` | `getGenericType()` Full generic type of the annotated element; definition of what exactly this means depends on sub-class.
    `Member` | `getMember()`
    `int` | `getModifiers()`
    `String` | `getName()`
    `Class<?>` | `getRawType()` "Raw" type (type-erased class) of the annotated element; definition of what exactly this means depends on sub-class.
    `void` | `setValue(Object pojo, Object value)` Optional method that can be used to assign value of this member on given object, if this is a supported operation for member type.
    `String` | `toString()`
    `AnnotatedField` | `withAnnotations(AnnotationMap ann)` Fluent factory method that will construct a new instance that uses specified instance annotations instead of currently configured ones.

    - ### Methods inherited from class org.codehaus.jackson.map.introspect.AnnotatedMember

      `fixAccess, getAllAnnotations`

    - ### Methods inherited from class org.codehaus.jackson.map.introspect.Annotated

      `getType, hasAnnotation, isPublic, withFallBackAnnotationsFrom`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _field

          protected final Field _field

  - ### Constructor Detail

    - #### AnnotatedField

          public AnnotatedField(Field field,
                        AnnotationMap annMap)

  - ### Method Detail

    - #### withAnnotations

          public AnnotatedField withAnnotations(AnnotationMap ann)

      Description copied from class: `Annotated`
      Fluent factory method that will construct a new instance that uses specified instance annotations instead of currently configured ones.
      Specified by:
        `withAnnotations` in class `Annotated`

    - #### addOrOverride

          public void addOrOverride(Annotation a)

      Method called to override an annotation, usually due to a mix-in annotation masking or overriding an annotation 'real' constructor has.

    - #### getAnnotated

          public Field getAnnotated()

      Description copied from class: `Annotated`
      Method that can be used to find actual JDK element that this instance represents. It is non-null, except for method/constructor parameters which do not have a JDK counterpart.
      Specified by:
        `getAnnotated` in class `Annotated`

    - #### getModifiers

          public int getModifiers()

      Specified by:
        `getModifiers` in class `Annotated`

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `Annotated`

    - #### getAnnotation

          public <A extends Annotation> A getAnnotation(Class<A> acls)

      Specified by:
        `getAnnotation` in class `Annotated`

    - #### getGenericType

          public Type getGenericType()

      Description copied from class: `Annotated`
      Full generic type of the annotated element; definition of what exactly this means depends on sub-class.
      Specified by:
        `getGenericType` in class `Annotated`

    - #### getRawType

          public Class<?> getRawType()

      Description copied from class: `Annotated`
      "Raw" type (type-erased class) of the annotated element; definition of what exactly this means depends on sub-class.
      Specified by:
        `getRawType` in class `Annotated`

    - #### getDeclaringClass

          public Class<?> getDeclaringClass()

      Specified by:
        `getDeclaringClass` in class `AnnotatedMember`

    - #### getMember

          public Member getMember()

      Specified by:
        `getMember` in class `AnnotatedMember`

    - #### setValue

          public void setValue(Object pojo,
                      Object value)
                        throws IllegalArgumentException

      Description copied from class: `AnnotatedMember`
      Optional method that can be used to assign value of this member on given object, if this is a supported operation for member type.

      This is implemented for fiedlds and single-argument methods; but not for constructor parameters or other types of methods.

      Specified by:
        `setValue` in class `AnnotatedMember`
      Throws:
        `IllegalArgumentException`

    - #### getFullName

          public String getFullName()

    - #### getAnnotationCount

          public int getAnnotationCount()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`